aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCeleste <20312-Celeste@users.gitlab.alpinelinux.org>2024-03-21 02:00:39 +0000
committeromni <omni+alpine@hack.org>2024-03-23 19:56:11 +0000
commit251a02f7b9d95a7af73e7bc6c9d464eb62dd3069 (patch)
tree7fe65161fec043365bca2afee99843d7f7eb46d5
parentaba5ab42c4dbd8b77469bd8a54e8f5f363cafc62 (diff)
testing/ocaml-libvirt: upgrade to 0.6.1.7
also, enable on s390x
-rw-r--r--testing/ocaml-libvirt/APKBUILD23
1 files changed, 8 insertions, 15 deletions
diff --git a/testing/ocaml-libvirt/APKBUILD b/testing/ocaml-libvirt/APKBUILD
index 395c1db6625..b77bd6ebea6 100644
--- a/testing/ocaml-libvirt/APKBUILD
+++ b/testing/ocaml-libvirt/APKBUILD
@@ -2,20 +2,18 @@
# Maintainer: Fernando Casas Schossow <casasfernando@outlook.com>
pkgname=ocaml-libvirt
_pkgname=libvirt-ocaml
-pkgver=0.6.1.5_git20220503
-_commit=562ac8c3a9193fa5f24cb64f3b2f3eebe3cd723a
-pkgrel=2
+pkgver=0.6.1.7
+pkgrel=0
pkgdesc="OCaml binding for libvirt"
url="https://libvirt.org/ocaml/"
-# s390x: libvirt-dev unavailable
# riscv64: limited by ocaml aport
-arch="all !s390x !riscv64"
+arch="all !riscv64"
license="LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception"
makedepends="autoconf automake ocaml ocaml-findlib-dev libvirt-dev perl gawk"
subpackages="$pkgname-dev $pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::https://gitlab.com/libvirt/libvirt-ocaml/-/archive/$_commit/libvirt-ocaml-$_commit.tar.gz"
+source="https://gitlab.com/libvirt/libvirt-ocaml/-/archive/v$pkgver/libvirt-ocaml-v$pkgver.tar.gz"
options="!check" # there is no test suite/unit tests
-builddir="$srcdir/$_pkgname-$_commit"
+builddir="$srcdir/$_pkgname-v$pkgver"
# 32-bit archs
case "$CARCH" in
@@ -28,7 +26,6 @@ prepare() {
}
build() {
- export OCAMLPARAM="safe-string=0,_"
./configure \
--host=$CHOST \
--build=$CBUILD \
@@ -42,13 +39,9 @@ package() {
export OCAMLFIND_DESTDIR="$DESTDIR/usr/lib/ocaml"
mkdir -p "$OCAMLFIND_DESTDIR" "$OCAMLFIND_DESTDIR/stublibs"
- # FIXME: if META.libvirt exists `make install` will fail with
- # error msg "ocamlfind: Package libvirt is already installed"
- rm -vf libvirt/META.libvirt
-
make install
- install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
- install -D -m644 COPYING.LIB "$pkgdir/usr/share/licenses/$pkgname/COPYING.LIB"
+ install -Dm644 COPYING COPYING.LIB \
+ -t "$pkgdir"/usr/share/licenses/$pkgname/
}
dev() {
@@ -89,5 +82,5 @@ scan_python3_dependency() {
}
sha512sums="
-527b9f29fbb6db17ffd1f89cea821d01c8a7db567bc2d6b2034f228cc75536b1321602c91cab2cb686e62ee674d0619fd33a24ec35401fbfdbf95e1b36c3e5ce ocaml-libvirt-0.6.1.5_git20220503.tar.gz
+065008709b653f52e119665a5fbe4bedeb1dceb430b2d3ce022d4f9d685e168860145d40f6ae2be4d0715da5c0815029c9de49d370c73cd54d0e83846dc6a785 libvirt-ocaml-v0.6.1.7.tar.gz
"